commit:     7311a1368de9aa10d9a92b0e23fc4bd74e0838ee
Author:     François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Fri Jul  3 09:19:15 2020 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Jul 13 11:44:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7311a136

sci-libs/fplll: upstream bump

Closes: https://github.com/gentoo/gentoo/pull/16565
Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: François René Pierre Bissey <frp.bissey <AT> gmail.com>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/fplll/Manifest           |  1 +
 sci-libs/fplll/fplll-5.3.3.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/sci-libs/fplll/Manifest b/sci-libs/fplll/Manifest
index ea33ec4e94b..7db55152bde 100644
--- a/sci-libs/fplll/Manifest
+++ b/sci-libs/fplll/Manifest
@@ -1,2 +1,3 @@
 DIST fplll-5.3.2.tar.gz 1284989 BLAKE2B 
66d022c1a6acb3f029c871bebf4925ec5f9447af71829c6d52f2065155bf75f075965a41918722d095546ca18e8e87a85f181a76f5e42abd20c8de8165210bab
 SHA512 
eacd990c468b1d919e1d6cc04f99656d982d5a3807970e0a1dd910a2703eb5b8eff913bc5c0e45790a547bb7aa71189fb9022024186bb84ee04d8602c9980ac2
+DIST fplll-5.3.3.tar.gz 1289510 BLAKE2B 
116af9013a9c030301f2a37fae9c4865244c93de8d7a06e6f605387c4e421f9e0735c456291cb1e44d6da3c82dbea3a8f91709eea3f69a4aab1fee876f534aff
 SHA512 
f69b98c9befe9f2ce15fdcb1b4c1bf83a7267f606770228e05416e13930d1ecb745824b1793ccc11ab13ddb0140c1daa6cfade50f2e79f93dee296880d98bef4
 DIST libfplll-4.0.4.tar.gz 413519 BLAKE2B 
afeea5a813d3d5b1b7fe3e81d5a8e9bce66ee4f8a3d265dacaa0ba7ff2f632f0f533182027322e2fd17645f5bc5816b266b167da0e36a00a38f73e794e22a522
 SHA512 
81cf61118f0dadca8fd82cc58df2fb5f0dc3ddd15a9b5de95a7777e0ece77d8f6a6d50d14ba7fdd6be6697cf375fac2e60792c94cc65f5a181c427dea84d552d

diff --git a/sci-libs/fplll/fplll-5.3.3.ebuild 
b/sci-libs/fplll/fplll-5.3.3.ebuild
new file mode 100644
index 00000000000..2757d1e1f4a
--- /dev/null
+++ b/sci-libs/fplll/fplll-5.3.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Implementations of the floating-point LLL reduction algorithm"
+HOMEPAGE="https://github.com/fplll/fplll";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="LGPL-2.1+"
+SLOT="0/6"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+BDEPEND=""
+DEPEND="dev-libs/gmp:0
+       dev-libs/mpfr:0"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       # Support for --with-qd is problematic at the moment.
+       # https://github.com/fplll/fplll/issues/405
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to